import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor';
// 引入UI框架
import uView from "uview-ui";
Vue.use(uView);
import '@icon-park/vue/styles/index.css'
import './store/index.js'
import './store/mine.js'
// 引入 uni-simple-router
import './utils/index.js'
import './utils/directive.js'
import {
	router,
	RouterMount
} from './router/index.js'; //路径换成自己的
Vue.use(router);

Vue.config.productionTip = false;
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount();


// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif